%define prefix /usr
%define name kraft
%define version 0.58
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/KDE4
URL:		http://www.volle-kraft-voraus.de/
Source:		%{name}-%{version}.tar.xz
Summary:	Kraft is KDE software for people operating a small business
Summary(de):	Kraft ist KDE-Software für ein kleines Gewerbe
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	%{_lib}ctemplate-devel
BuildRequires:	kde-pimlibs-devel
BuildRequires:	kdelibs-devel
BuildRequires:  qt4-devel
BuildRequires:	%{_lib}boost-devel
Requires:	kdelibs
Requires:	kde-pimlibs
Requires:	%{_lib}ctemplate0
Requires:       python-pypdf
Requires:       python-reportlab
Requires:       sqlite3-tools

Obsoletes:	%name < %version

%description
Kraft is aimed at the demands of small businesses. It is easy to use and limits on a set of most needed features. So it is the solution for creating offers and invoices. With Kraft running your business is done quicker. You will have more time for things which give more pleasure. 

#german
%description -l de
Kraft ist eine an der Praxis des kleinen Betriebes orientierte Lösung, die durch ihre Einfachheit besticht und die üblichen Aufgaben im Büroalltag flott zu lösen hilft. Kraft ist die freie Lösung zum Erstellen von Angeboten, Rechnungen und Auftragsbestätigungen. 

%prep
%setup -q -n %{name}-%{version}

%build
cmake . -DCMAKE_INSTALL_PREFIX=%{prefix}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
#rm -rf $RPM_BUILD_ROOT%{_libdir}/libkraftcat.so

%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/findcontact
%{_datadir}/applications/kde4/kraft.desktop
%{_datadir}/apps/kraft/
%{_datadir}/config.kcfg/
%{_datadir}/icons/crystalsvg/
%{_datadir}/icons/hicolor/
%{_datadir}/icons/locolor/
%{_datadir}/locale/

%changelog
* Wed Jul 22 2015 pp <pp> 0.58-1pclos2015
- update

* Sun Apr 19 2015 pinoc <vogtpet at gmail.com> 0.55-3pclos2015
- rebuild on 15.04.0

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 0.55-2pclos2014
- rebuild on 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 0.55-1pclos2014
- 0.55  (on KDE 4.13.3)

* Wed Mar 05 2014 pinoc <vogtpet at gmail.com> 0.53-1pclos2014
- 0.53 (on KDE 4.12.3)

* Wed Jan 08 2014 pinoc <vogtpet at gmail.com> 0.51-2pclos2014
- rebuild on 4.11.5

* Mon Sep 23 2013 pinoc <vogtpet at gmail.com> 0.51-1pclos2013
- 0.51

* Thu Feb 14 2013 pinoc <vogtpet at gmail.com> 0.50-1pclos2013
- 0.50 (32/64)

* Thu Aug 30 2012 Neal <nealbrks0 at gmail dot com> 0.45-1pclos2012
- process

* Thu Aug 30 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.45-1_archie_2012
- update

* Mon Jun 25 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.40-4_archie_2012
- rebuild

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.40-2pclos2010
- rebuild for 4.5.1

* Sun May 02 2010 leiche <meisssw01 at aol.com> 0.40-1pclos2010
- import to PCLinuxOS
